# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MMenuSeparator

Packages that use MMenuSeparator
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MMenuSeparator in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MMenuSeparator
Modifier and Type
Method
Description
`MMenuSeparator`
MMenuFactory.`createMenuSeparator()`
Returns a new object of class 'Separator'.

## Uses of MMenuSeparator in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MMenuSeparator
Modifier and Type
Class
Description
`class`
`MenuSeparatorImpl`
An implementation of the model object 'Separator'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MMenuSeparator
Modifier and Type
Method
Description
`MMenuSeparator`
MenuFactoryImpl.`createMenuSeparator()`

## Uses of MMenuSeparator in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MMenuSeparator
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseMenuSeparator(MMenuSeparator object)`
Returns the result of interpreting the object as an instance of 'Separator'.